CVE-2019-19709

NameCVE-2019-19709
DescriptionMediaWiki through 1.33.1 allows attackers to bypass the Title_blacklist protection mechanism by starting with an arbitrary title, establishing a non-resolvable redirect for the associated page, and using redirect=1 in the action API when editing that page.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-4592-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mediawiki (PTS)stretch1:1.27.7-1~deb9u3fixed
stretch (security)1:1.27.7-1~deb9u5fixed
buster1:1.31.7-1~deb10u1fixed
buster (security)1:1.31.10-1~deb10u1fixed
bullseye, sid1:1.35.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mediawikisourcestretch1:1.27.7-1~deb9u3DSA-4592-1
mediawikisourcebuster1:1.31.6-1~deb10u1DSA-4592-1
mediawikisource(unstable)1:1.31.6-1

Notes

https://gerrit.wikimedia.org/r/q/Ie54f366986056c876eade0fcad6c41f70b8b8de8
https://phabricator.wikimedia.org/T239466
https://lists.wikimedia.org/pipermail/wikitech-l/2019-December/092886.html

Search for package or bug name: Reporting problems